PK_EncryptionMessageEncodingMethod Class Referenceabstract

Message encoding method for public key encryption. More...

`#include <pubkey.h>`

Inheritance diagram for PK_EncryptionMessageEncodingMethod:

## Public Member Functions

virtual bool | ParameterSupported (const char *name) const
virtual size_t | MaxUnpaddedLength (size_t paddedLength) const =0
| max size of unpadded message in bytes, given max size of padded message in bits (1 less than size of modulus)
virtual void | Pad (RandomNumberGenerator &rng, const byte *raw, size_t inputLength, byte *padded, size_t paddedBitLength, const NameValuePairs &parameters) const =0
virtual DecodingResult | Unpad (const byte *padded, size_t paddedBitLength, byte *raw, const NameValuePairs &parameters) const =0

## Detailed Description

Message encoding method for public key encryption.

Definition at line 208 of file pubkey.h.

## Constructor & Destructor Documentation

## ~PK_EncryptionMessageEncodingMethod()

virtual PK_EncryptionMessageEncodingMethod::~PK_EncryptionMessageEncodingMethod | ( |  | ) |

inline virtual

Definition at line 211 of file pubkey.h.

## Member Function Documentation

## ParameterSupported()

virtual bool PK_EncryptionMessageEncodingMethod::ParameterSupported | ( | const char * | name | ) | const

inline virtual

Definition at line 213 of file pubkey.h.

## MaxUnpaddedLength()

virtual size_t PK_EncryptionMessageEncodingMethod::MaxUnpaddedLength | ( | size_t | paddedLength | ) | const

pure virtual

max size of unpadded message in bytes, given max size of padded message in bits (1 less than size of modulus)

Implemented in OAEP_Base, and PKCS_EncryptionPaddingScheme.

The documentation for this class was generated from the following file:

- pubkey.h